package cn.freemud.enums;

public enum CouponTypeEnum {
    //0：未启用 1：已启用 2：作废
    TYPE_0(0, "商品券"),
    TYPE_1(1, "代金券"),
    TYPE_3(3, "折扣券"),
    TYPE_4(4, "换购券");

    private Integer code;

    private String desc;

    CouponTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
